Subject: Re: [PATCH net-next v11 7/7] selftests: netconsole: validate target resume

From: Andre Carvalho <[email-masked]>
Date: Thu, 22 Jan 2026 17:51:18 +0000

On Wed, Jan 21, 2026 at 05:45:05PM -0800, Jakub Kicinski wrote:
> My main point is that even if we fix the HW setups to do the right thing
> in systemd policies - the tests are running against netdevsim, not the
> precious HW present on those setups.

This makes total sense. I got too carried away trying to make sense of why this
was failing (I might still submit a follow up to make the test more resilient).

> I don't remember the history, it's quite possible that Breno wanted to
> have a separate target for netcons from the start and I pushed back.
> I think we reached the point where we want to create a target.

Sounds good. I had a chat with Breno and I'll look into moving netconsole tests
to a standalone target.

Thanks for the patience and reviewing this series!

-- 
Andre Carvalho